// Persistence of Vision Ray Tracer Scene Description File
// File: brilliant.pov
// Vers: 3.1
// Desc: a very basic illustration of brilliant.inc
// Date: 6 January 1999
// Auth: Jerome Grimbert





// ==== Standard POV-Ray Includes ====
#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions



#include "brilliant.inc"

global_settings { assumed_gamma 1.0 

// set the maximum ray tracing bounce depth (1...20) [5]
 max_trace_level 120   // rendering used 109 of 120... 
 radiosity { count 100 
   recursion_limit 2
  }

}  

// set viewer's position in the scene
camera
{
  location  <0.0, 15, 0.0> // position of camera <X Y Z>
  direction 2.0*z            // which way are we looking <X Y Z> & zoom
  up        y                // which way is +up <X Y Z>
  right     4/3*x            // which way is +right <X Y Z> and aspect ratio
  look_at   <0.0, 0.0,  0.0> // point center of view at this point <X Y Z>
}



plane { y, -1
 texture
{
  pigment
  {
    color rgb <0.4,0.4,0.4>
  }
  
  
  finish
  {
    ambient 0.2
    specular 0.6 // shiny
  }
}

}


plane { -y, -30
 texture
{
  pigment
  {
    color rgb <0.4,0.4,0.4>
  }
  
  
  finish
  {
    ambient 0.2
    specular 0.6 // shiny
  }
}
}


light_source
{
    <-5,25,5>
    color rgb<1,1,1>
}
  
    

object {
  brilliant 
  hollow on 
  texture { pigment {rgbt<1,1,1,0.95>} }
  finish {reflection 0.5 ambient .2 diffuse 0 specular 1 roughness .001 }  
  interior { ior 2.42  // diamant
                 // 1.95  // Zircon
      }
  }

object {
  brilliant 
  hollow on 
  texture { pigment {rgbt<1,1,1,0.95>} }
  finish {reflection <0.5,0.5,0.54> ambient .2 diffuse 0 specular 1 roughness .001 }  
  interior { ior 2.42  // diamant
                 // 1.95  // Zircon
      }  
  translate <3,0,0>    
  }

object {
  brilliant 
  hollow on 
  texture { pigment {rgbt<1,1,1,0.95>} }
  finish {reflection <0.5,0.54,0.5> ambient .2 diffuse 0 specular 1 roughness .001 }  
  interior { ior 2.42  // diamant
                 // 1.95  // Zircon
      }                            
  translate <3,0,0>
  rotate <0,120,0>    
  }
 
object {
  brilliant 
  hollow on 
  texture { pigment {rgbt<1,1,1,0.95>} }
  finish {reflection <0.54,0.5,0.5> ambient .2 diffuse 0 specular 1 roughness .001 }  
  interior { ior 2.42  // diamant
                 // 1.95  // Zircon
      }                            
  translate <3,0,0>
  rotate <0,-120,0>    
  }

object {
  brilliant 
  hollow on 
  texture { pigment {rgbt<1,1,1,0.95>} }
  finish {reflection <0.54,0.54,0.5> ambient .2 diffuse 0 specular 1 roughness .001 }  
  interior { ior 2.42  // diamant
                 // 1.95  // Zircon
      }  
  translate <3,0,0>
  rotate <0,180,0>    
  }

object {
  brilliant 
  hollow on 
  texture { pigment {rgbt<1,1,1,0.95>} }
  finish {reflection <0.54,0.5,0.54> ambient .2 diffuse 0 specular 1 roughness .001 }  
  interior { ior 2.42  // diamant
                 // 1.95  // Zircon
      }                            
  translate <3,0,0>
  rotate <0,-60,0>    
  }
 
object {
  brilliant 
  hollow on 
  texture { pigment {rgbt<1,1,1,0.95>} }
  finish {reflection <0.5,0.54,0.54> ambient .2 diffuse 0 specular 1 roughness .001 }  
  interior { ior 2.42  // diamant
                 // 1.95  // Zircon
      }                            
  translate <3,0,0>
  rotate <0,60,0>    
  }
 


